:root {
    --color-primary: #117A8B;
    --color-secondary: #FF6C00;

}

/** Fixes */
.modal-backdrop {
    display: none !important;
}

.app-header.bg-light .navbar-brand {
    opacity: 1;
    font-weight: bold;
    text-transform: uppercase;
    display: block;
    padding-top: 12px;
}

.file-preview {
    width: 70%;
    margin-bottom: 5px;
    display: flex;
    align-items: center;
}

.file-preview a:first-child {
    width: 70%;
    color:#F08100;
}

.file-preview a.file-clear-button {
    border: none;
    font-weight: bold;
    line-height: 18px;
}

.file-preview a.file-clear-button:hover {
    color: #fff;
    background-color: red;
}

.backstrap-file {
    color: #17A0A6;
}

.common-table {
    padding: 0px 20px;
}


.common-table table {
    width: auto;
}

.common-table tbody tr:nth-of-type(odd),
.common-table tbody tr:nth-of-type(even) {
    background-color: transparent;
}

.common-table tbody tr th.tr-label {
    width: 120px;
    background-color: transparent;
}

.common-table tbody tr th,
.common-table tbody tr td {
    border: none;
    padding: 2px 5px;
}

.common-table table tbody tr:hover {
    background-color: transparent;
}

table.table-hover tbody tr.no-padding:hover {

    background-color: transparent;
}

.existing-file {
    border: none !important;
}

.image-holder img {
    object-fit: contain;
    width: 100%;
    height: 100%;
    object-position: center;
}

/** Fix to hide first div of show operation view **/
.crud-show-website>div>div>table>tbody>tr>td:first-child {
    display: none;
}

/** Layout Color **/
.sidebar {
    background: var(--color-primary);
}

.sidebar .nav-link .nav-icon {
    color: #fff;
}

.sidebar .nav-link > label {
    font-size: 15px;
}

.sidebar .nav-link:hover,
.sidebar .nav-dropdown.open .nav-link:hover {
    background: none;
    color:#FF6C00;
    
}

.sidebar .nav-dropdown.open .nav-link label {
    cursor: pointer;
}

.sidebar .nav-link.active,
.sidebar .nav-dropdown.open .nav-link.active {
    /* background: linear-gradient(270deg, rgba(255,157,13,0) 0%, #FF9D0D 100%),#FF6C00; */
    background: none;
    color:#FF6C00;
}

.sidebar .nav-dropdown-items .nav-link {
    padding: 5px 5px 5px 10px;
}

.sidebar .nav-link.active .nav-icon {
    color: #fff;
}

.sidebar .nav-dropdown.open {
    background: transparent;
}

.sidebar .nav-dropdown.open>.nav-dropdown-items li>a {
    padding-left: 46px;
}

.btn-primary,
.dataTables_wrapper .dataTables_paginate .paginate_button.current,
#saveActions button {
    background-color: var(--color-secondary);
    border-color: var(--color-secondary);
}

.btn-primary:hover,
.dataTables_wrapper .dataTables_paginate .paginate_button.current:hover {
    background-color: var(--color-secondary);
    border-color: var(--color-secondary);
}

.breadcrumb a,
.la-filter,
#crudTable_wrapper .btn-link {
    color: var(--color-secondary);
    color: var(--color-primary);
    font-weight: bold;
}

.breadcrumb-item+.breadcrumb-item:before {
    color: #651391;
}

.navbar-filters {
    padding-left: 0px;
    margin-top: 50px;
}

.navbar-filters {
    color: var(--color-secondary);
}

.navbar-filters #bp-filters-navbar>ul>li>a,
.navbar-filters > a > span {
    color: var(--color-secondary);
}

.page-item.active .page-link {
    background-color: var(--color-primary);
    border-color: var(--color-primary);
    margin-right: 6px;
}

.sticky-footer a {
    color: var(--color-primary);
}

.badge-primary{
    background-color: var(--color-secondary);
}

.btn-link {
    color: var(--color-secondary);
}

.btn-link:hover {
    color: var(--color-secondary);
    text-decoration: underline;
}

.dtr-bs-modal .modal-content {
    border: solid 1px #117A8B;
}

.dtr-bs-modal .modal-content .close {
    color: #fff;
    box-shadow: none;
}

.dtr-bs-modal .modal-content .modal-header {
    padding: 0px 1rem;
    border-bottom: solid 1px #117A8B;
    background: #117A8B;
    border-top-left-radius: 0.2rem;
    border-top-right-radius: 0.2rem;
}

.dtr-bs-modal .modal-content .btn-link {
    color: var(--color-primary);
    font-weight: bold;
}

.export-all-btn {
    background-color: var(--color-primary);
    color: #fff;
}

.main #crudTable.dataTable.dtr-inline.collapsed>tbody>tr>.dtr-control:before {
    font-size: 40px;
    width: 10px;
    height: 40px;
    margin-top: -16px;
    color: green;
}

.main table.dataTable.dtr-inline.collapsed>tbody>tr>td.dtr-control {
    padding-left: 50px;
}

/** End of Layout Color **/

/** Filters **/

#datatable_info_stack {
    width: 100%;
    align-items: center;
    font-size: 16px;
    text-transform: uppercase;
    justify-content: space-between;
    padding: 0px;
    border-bottom: solid 1px #117A8B;
}

#datatable_info_stack #crudTable_reset_button {
    font-weight: bold;
    color: #fff;
    background: #117A8B;
    border-radius: 0.2rem;
    padding: 3px 12px;
    margin-bottom: 10px;
}

#bp-filters-navbar {
    margin-bottom: 20px;
    display: none !important;
}

#bp-filters-navbar > ul > li {
    width: 33%;
    font-size: 15px;
}

.navbar-filters #bp-filters-navbar > ul > li a {
    color: var(--color-primary);
}

#bp-filters-navbar #remove_filters_button {
    color: red;
}

.la-filter {
    cursor: pointer;
    font-size: 20px;
}

.navbar-filters #bp-filters-navbar.bp-filters-show {
    display: block !important;
}

.navbar-filters #bp-filters-navbar.bp-filters-show .dropdown-menu.show {
    overflow: auto;
    max-height: 400px;
}

/* #datatable_search_stack {
    display: none !important;
} */

/** Sticky sync */
.ea-bg-sync-btn {
    cursor: pointer;
}

.ea-bg-sync-title {
    color: var(--color-secondary);
}

#bottom_buttons {
    display: flex;
    position: relative;
    width: 100%;
    padding: 5px;
    height: 50px;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: flex-start;
    align-content: center;
    flex-direction: row;
}

#bottom_buttons > a,
#bottom_buttons > div{
    display: block;
    float: none !important;
    width: 120px;
    margin: 5px;
}

#bottom_buttons > div {
    width: 240px;
}

#col-important-field .select2-container {
    width: 100% !important;
}

#col-important-field .select2-container .select2-selection__choice__remove {
    width: 20px;
    position: relative;
    background: rgb(189, 57, 57);
    color: #fff;
    margin: 0px;
    padding: 0px;
    opacity: .7;
}

#col-important-field .select2-container .select2-selection--multiple .select2-selection__rendered li {
    list-style: none;
    padding: 0px;
    border: none;
    background: #117a8b;
    color: #fff;
    font-size: 13px;
    text-transform: uppercase;
}

